pcl::_PointWithRange Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointWithRange:

## Public Attributes

| PCL_ADD_POINT4D
union {
struct {
float range
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 976 of file point_types.hpp.

## Member Data Documentation

union { ... }

float pcl::_PointWithRange::data_c[4]

Definition at line 985 of file point_types.hpp.

pcl::_PointWithRange::PCL_ADD_POINT4D

Definition at line 978 of file point_types.hpp.

float pcl::_PointWithRange::range

Definition at line 983 of file point_types.hpp.

Referenced by pcl::RangeImage::calculate3DPoint(), pcl::RangeImage::get1dPointAverage(), pcl::RangeImageBorderExtractor::get3dDirection(), pcl::RangeImage::getCurvature(), pcl::RangeImage::getEuclideanDistanceSquared(), pcl::RangeImage::getImpactAngle(), pcl::RangeImageBorderExtractor::getNeighborDistanceChangeScore(), pcl::RangeImage::getNormal(), pcl::RangeImage::getRangeDifference(), pcl::RangeImage::getSquaredDistanceOfNthNeighbor(), pcl::RangeImage::integrateFarRanges(), pcl::RangeImage::isMaxRange(), and pcl::PointWithRange::PointWithRange().

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/impl/point_types.hpp